Subject: bug#38000: 27.0.50; [PATCH] WIP on using gnus info accessor macros

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Nov 2019 14:44:55 +0100

Eric Abrahamsen <[email-masked]> writes:

> Huh, I didn't realize that list-based structs didn't put a tag in the
> `car' position unless you pass the :named keyword.
>
> We could switch to list-based structs without breaking out-of-tree code,
> but I don't see much point: you can't use them for generic function
> dispatch, even when they're :named, nor do you get a NAME-p predicate
> for free. That doesn't leave much point.

It means that you don't have to write the accessor macros by hand.  :-)

> Nope, still don't get it. It seems to me the only real question is
> whether or not nnvirtual-mapping-marks should override whatever marks
> were already there.

I don't get it either, I'm afraid.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no